Save device information

Prev Next
Post
/identity/users/me/devices

Save the device used in the current navigation session.
This API can be invoked to update the device information at any application start with a valid token. In case the device with the same deviceId is already present, it is merged with the information included in the request body (null and read-only properties are discarded).

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Body parameters

The device information.

object

Details about the device on which the API client is currently running (e.g., PC, Mobile Device).
When created/updated, you need to provide the mandatory properties. Please note that, for mobile apps, you must specify all properties, as they are required for managing push notifications.

deviceId
string

The unique identifier which is used to match the device among different logins.

Example4c60d031f4d07c01
appId
string

The identifier/package-name of the mobile app used to log in.

Examplecom.acme.dps-mobile
os
string

The device operating system.

ExampleAndroid_9, iOS_11
model
string

The mobile device model.

ExamplePixel 10
platform
string

The mobile platform name.

Valid values[ "Android", "iOS" ]
ExampleAndroid
browser
string

The information of the browser (navigator.userAgent) used to access the DPS.
An optional property useful for debugging purposes.

notificationDeviceId
string

The device notification identifier obtained from the platform provider during the device registration for notifications.

Example4w3rY1qRd8:APA91bCue8jas2h64ENFiTePAB5GZ1tK.....
Responses
200

Successful updated.

object

Details about the device on which the API client is currently running (e.g., PC, Mobile Device).
When created/updated, you need to provide the mandatory properties. Please note that, for mobile apps, you must specify all properties, as they are required for managing push notifications.

deviceId
string

The unique identifier which is used to match the device among different logins.

Example4c60d031f4d07c01
appId
string

The identifier/package-name of the mobile app used to log in.

Examplecom.acme.dps-mobile
os
string

The device operating system.

ExampleAndroid_9, iOS_11
model
string

The mobile device model.

ExamplePixel 10
platform
string

The mobile platform name.

Valid values[ "Android", "iOS" ]
ExampleAndroid
browser
string

The information of the browser (navigator.userAgent) used to access the DPS.
An optional property useful for debugging purposes.

notificationDeviceId
string

The device notification identifier obtained from the platform provider during the device registration for notifications.

Example4w3rY1qRd8:APA91bCue8jas2h64ENFiTePAB5GZ1tK.....
token
string

The refresh token associated to this decice.

Example61cae9d2-704c-3cc7-a030-32b24a367a9e
400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error